[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Installing Recommends by default



Steve Langasek <vorlon@debian.org> wrote:

> On Wed, Jul 25, 2007 at 08:26:14AM +0200, Frank Küster wrote:
>> Russ Allbery <rra@debian.org> wrote:
>
>> > (I currently can't ues Recommends by default because of lsb-release, so I
>> > have a bit of a vested interest in solutions that don't require that.)
>
>> What's the problem with lsb-release?
>
> $ apt-cache show lsb-release | grep Rec
> Recommends: lsb, apt
> $ apt-cache show lsb | grep Dep
> Depends: lsb-core, lsb-graphics, lsb-cxx, lsb-desktop, lsb-qt4
> $
>
> That makes for some rather hefty packages pulled in via this Recommends
> line.

I see.  I had the impression that there is a consensus that our tools
should install Recommends by default in lenny.  If that is the only bug
that really causes a problem in this respect, why not increase it's
severity?  Chris, what do you think about it?

Otherwise, if there are more "excessive Recommends" bugs that cause
problems, it might be an interesting release goal (but it would need a
person to care for it, not me).

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Reply to: